<?php
require_once('clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', 'clases/xajax/');

function xExportar($varForm) {
	$varFie = (isset($varField) && $varField<>'')? "'$varField'":"NULL";
	$varOrd = (isset($varOrder) && $varOrder<>'')? "'$varOrder'":"NULL";
	$varCod = (isset($varForm[cod]) && $varForm[cod]<>'')?$varForm[cod]:"NULL";
	$varVeh = (isset($varForm[vcod]) && $varForm[vcod]<>'')?$varForm[vcod]:"NULL";
	$varCon = (isset($varForm[ccod]) && $varForm[ccod]<>'')?$varForm[ccod]:"NULL";
	$varIni = (isset($varForm[fini]) && $varForm[fini]<>'')?"'".FechaMySql($varForm[fini])."'":"NULL";
	$varFin = (isset($varForm[ffin]) && $varForm[ffin]<>'')?"'".FechaMySql($varForm[ffin])."'":"NULL";
	
	$sql = "call spQuery_Costo_Reparto($varCod, $varVeh, $varCon, $varIni, $varFin, NULL, NULL)";
	$_SESSION["expor_sql_1"] =  $sql;
	$_SESSION["expor_sql_2"] = NULL;
	$varTitulo = (isset($varForm["titu"]))?$varForm["titu"]:"Reporte";	
	$objResponse=new xajaxResponse();
    $objResponse->redirect("export.php?page=$varTitulo");
    return $objResponse;
	}

function xBuscar($varFormm, $varField, $varOrder) {
	$var = VarServer("MYSQLI");
	$obj = new clsAsignacionCostoReparto($var[0],$var[1],$var[2],$var[3],$var[4]);	
//	$obj->AbrirConexion();
	$varTabla = $obj->GridDatos($varFormm, $varField, $varOrder);
	//$obj->CerrarConexion();
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDatos", "innerHTML", utf8_encode($varTabla));
	$variable2="ResaltarSeleccionado()";
	$respuestaXajax->script($variable2); 
	return $respuestaXajax;
	}

function xFormuDetalle($varCod) {
	$var = VarServer("MYSQLI");
	$obj = new clsAsignacionCostoReparto($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla = $obj->FormuDetalle($varCod);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "innerHTML", utf8_encode($varTabla));
	$variable="PMA_markRowsInit()";
	$respuestaXajax->script($variable); 
	return $respuestaXajax;
	}
	
function xRegresarPrincipal() {
	$var = VarServer("MYSQLI");
	$obj = new clsAsignacionCostoReparto($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla.= $obj->FormuBusqueda();
	$varTabla.= "<div id=\"divDatos\">";
	//$varTabla.= $obj->GridDatos();		
	$varTabla.= "</div>";
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "innerHTML", utf8_encode($varTabla));
	return $respuestaXajax;
	}
	
function xGrabar($varForm) {
	$var = VarServer("MYSQLI");
	$obj = new clsAsignacionCostoReparto($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varResul = $obj->ProcesoGrabar($varForm);
	$respuestaXajax = new xajaxResponse();
	if ($varResul=="OK") {		
		$varTabla =  "<div id=\"divForm\">";
		$varTabla.=  $obj->FormuBusqueda();
		$varTabla.=  "<div id=\"divDatos\">";
		$varTabla.=  "</div>";
		$varTabla.=  "</div>";
		$respuestaXajax->assign("divForm", "innerHTML", utf8_encode($varTabla));
		$respuestaXajax->alert("PLANILLA LIQUIDADA CORRECTAMENTE");
		return $respuestaXajax;
		}
	else {
		$respuestaXajax->alert("ERROR AL PROCESAR DATOS...!!!!!\n====================================\n".$varIde."\nVERIFIQUE LOS DATOS POR FAVOR");		
		return $respuestaXajax;
		}
	}
	
$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'xFormuDetalle');
$xajax->register(XAJAX_FUNCTION, 'xRegresarPrincipal');
$xajax->register(XAJAX_FUNCTION, 'xGrabar');
$xajax->register(XAJAX_FUNCTION, 'xExportar');


$xajax->processRequest();
$xajax->printJavascript("clases/xajax");


?>
<script language="javascript">	
	function xBuscarJS(varField, varOrder) {
		if (xajax.$("cod").value=="" && xajax.$("vcod").value=="" && xajax.$("ccod").value=="" && xajax.$("fini").value=="" && xajax.$("ffin").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR AL MENOS UN PARAMETRO DE BUSQUEDA");
			xajax.$("cod").focus()
			return (false); 
			}
		else {
			xajax_xBuscar(xajax.getFormValues('form'), varField, varOrder);
			}				
		}	
	
	function xExportarJS() {
		if (xajax.$("cod").value=="" && xajax.$("vcod").value=="" && xajax.$("ccod").value=="" && xajax.$("fini").value=="" && xajax.$("ffin").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR AL MENOS UN PARAMETRO DE BUSQUEDA");
			xajax.$("cod").focus()
			return (false); 
			}
		else {
			xajax_xExportar(xajax.getFormValues('form'));
			}			
		}
	
	function xImprimirJS() {	
		if (xajax.$("cod").value=="" && xajax.$("vcod").value=="" && xajax.$("ccod").value=="" && xajax.$("fini").value=="" && xajax.$("ffin").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR AL MENOS UN PARAMETRO DE BUSQUEDA");
			xajax.$("cod").focus()
			return (false); 
			}
		else {
			var varTip = xajax.$("tipo").value;
			var varAlm = xajax.$("alm").value;
			var varPro = xajax.$("pcod").value;
			var Ruta = 'print/print_inventario_toma.php?tip='+varTip+'&alm='+varAlm+'&pro='+varPro;
			testwindow= window.open (Ruta, "print_inventario_toma", "location=no,status=no,toolbar=no,scrollbars=1,width=700,height=600");
			}
		}
			
	function ImprimirAsignacion(varNum) {
		var Ruta = 'print/print_detalle_asignacion.php?ide='+varNum;
		testwindow= window.open (Ruta, "print_detalle_asignacion", "location=no,status=no,toolbar=no,scrollbars=1,width=800,height=550");	
		}

</script>

<?php		
function MyTable($obj, $varTitulo, $Opcion, $Valor) {
	echo "<div id=\"divForm\">";
	echo $obj->FormuBusqueda();
	echo "<div id=\"divDatos\">";
	//echo $obj->GridDatos();		
	echo "</div>";
	echo "</div>";
	} 
?>